(function ($, drupalSettings) {

  Drupal.behaviors.replaceL10nServerURLs = {
    attach: function (context) {
      // Act on links if we have URL replacements to do.
      if (drupalSettings.l10nServerURLs) {
        for (var url in drupalSettings.l10nServerURLs) {
          // Look for links with this exact URL and replace with extended version.
          // This ensures we keep filter values while switching tabs.
          $('a[href="' + url + '"]', context).not('.filter-exclude').attr('href', drupalSettings.l10nServerURLs[url]);
        }
      }
    }
  }

})(jQuery, drupalSettings);
