<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file is based on one generated by the Drupal 10.1.5 db-tools.php
 * script.
 */

use Drupal\Core\Database\Database;
use Drupal\Tests\l10n_migrate\Kernel\MigrateL10nPackagerReleaseTest as MigrateL10nTestAlias;

$connection = Database::getConnection();

// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('l10n_packager_release', array(
  'fields' => array(
    'rid' => array(
      'description' => 'Reference to {l10n_server_release}.rid',
      'type' => 'int',
      'not null' => TRUE,
      'unsigned' => TRUE,
    ),
    'status' => array(
      'description' => 'Packaging status for this release. One of L10N_PACKAGER_DISABLED, L10N_PACKAGER_ACTIVE and L10N_PACKAGER_ERROR.',
      'type' => 'int',
      'not null' => TRUE,
      'default value' => 1,
    ),
    'checked' => array(
      'description' => 'Unix timestamp of last time this release was checked.',
      'type' => 'int',
      'not null' => FALSE,
    ),
    'updated' => array(
      'description' => 'Unix timestamp of last time files for this release were updated.',
      'type' => 'int',
      'not null' => FALSE,
    ),
  ),
  'primary key' => array(
    'rid',
  ),
  'mysql_character_set' => 'utf8mb4',
));

$rows = MigrateL10nTestAlias::expectedDataTable();
foreach ($rows as $row) {
  $connection->insert('l10n_packager_release')
    ->fields(array_keys(current($rows)))
    ->values($row)
    ->execute();
}

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}
