<?php
// phpcs:ignoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file is based on one generated by the Drupal 10.1.5 db-tools.php
 * script.
 */

use Drupal\Core\Database\Database;
use Drupal\Tests\l10n_migrate\Kernel\MigrateL10nServerStatusFlagTest as MigrateL10nTestAlias;

$connection = Database::getConnection();

// Ensure any tables with a serial column with a value of 0 are created as
// expected.
if ($connection->databaseType() === 'mysql') {
  $sql_mode = $connection->query("SELECT @@sql_mode;")->fetchField();
  $connection->query("SET sql_mode = '$sql_mode,NO_AUTO_VALUE_ON_ZERO'");
}

$connection->schema()->createTable('l10n_server_status_flag', array(
  'fields' => array(
    'sid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
    ),
    'has_suggestion' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'has_translation' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'sid',
    'language',
  ),
  'indexes' => array(
    'sid_language_has_suggestion' => array(
      'sid',
      'language',
      'has_suggestion',
    ),
    'sid_language_has_translation' => array(
      'sid',
      'language',
      'has_translation',
    ),
  ),
  'mysql_character_set' => 'utf8mb4',
));

$rows = MigrateL10nTestAlias::expectedDataTable();
foreach ($rows as $row) {
  $connection->insert('l10n_server_status_flag')
    ->fields(array_keys(current($rows)))
    ->values($row)
    ->execute();
}

// Reset the SQL mode.
if ($connection->databaseType() === 'mysql') {
  $connection->query("SET sql_mode = '$sql_mode'");
}
