<?php

namespace Drupal\l10n_remote\Normalizer;

use Drupal\l10n_remote\TranslationContribution;
use Symfony\Component\Serializer\Normalizer\DenormalizerInterface;

/**
 * Normalizes/denormalizes Drupal entity objects into an array structure.
 */
class TranslationContributionNormalizer implements DenormalizerInterface {

  /**
   * {@inheritdoc}
   */
  public function denormalize($data, $class, $format = NULL, array $context = []): mixed {
    return new TranslationContribution($data);
  }

  /**
   * {@inheritdoc}
   */
  public function getSupportedTypes(?string $format): array {
    return [
      TranslationContribution::class => TRUE,
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function supportsDenormalization(mixed $data, string $type, ?string $format = NULL) {
    if (!is_array($data)) {
      return FALSE;
    }
    if (empty($data['source'])) {
      return FALSE;
    }
    if (empty($data['translation'])) {
      return FALSE;
    }
    if (empty($data['langcode'])) {
      return FALSE;
    }

    return TRUE;
  }

}
