(function (Drupal, drupalSettings) {

  google.charts.load("current", {packages:["calendar"]});
  google.charts.setOnLoadCallback(drawStacked);

  function drawStacked() {
    drupalSettings.l10nStatistics.calendar.years.forEach(function (value, index, arr) {
      let dataTable = new google.visualization.DataTable();

      dataTable.addColumn({type: 'date', id: 'Date'});
      dataTable.addColumn({type: 'number', id: 'Actions'});

      let rows = drupalSettings.l10nStatistics.calendar.charts['year' + value];
      rows.forEach(function (value, index, arr) {
        dataTable.addRows([
          [new Date(value.year, value.month, value.day), value.actions],
        ]);
      });

      let chart = new google.visualization.Calendar(
        document.getElementById('l10n-statistics-chart-' + value)
      );

      let options = {
        title: "String Submissions",
      };

      chart.draw(dataTable, options);
    });
  }

} (Drupal, drupalSettings));
